#
# spec file for package redstone-xmlrpc (Version 1.1_20071120)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define third_party_jars servletapi5
Summary:        An xmlrpc library

Name:           redstone-xmlrpc
Source9999:     version
Version:        1.1_20071120
Release:        1.3
License:        LGPL v2.1 or later
Group:          Development/Libraries/Java
Url:            http://xmlrpc.sourceforge.net
Source0:        %{name}-%{version}.tar.gz
Patch0:         build-classpath.patch
Patch1:         fault_serialization.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  servletapi5
BuildRequires:  ant java-devel unzip rhino
BuildRequires:  java-devel >= 1.5.0 unzip
BuildArch:      noarch
Requires:       servletapi5
Obsoletes:      marquee-xmlrpc

%description 
a simple xmlrpc library for java



%prep
%setup -n xmlrpc
%patch0 -p1
%patch1 -p0
rm lib/javax.servlet.jar
build-jar-repository -p lib/ %third_party_jars

%build
ant jars

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/xmlrpc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 build/lib/xmlrpc-client-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-client-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
